## libjpeg6b 6b1

=== debian/changelog ===
libjpeg6b (6b1-4ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1011177). Remaining changes:
    - debian/rules: Remove "-Bsymbolic-functions" from LDFLAGS.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 10 Dec 2013 18:09:16 -0500

libjpeg6b (6b1-4) unstable; urgency=high

  * Apply upstream patch to fix CVE-2013-6629 and CVE-2013-6630.
  * debian/rules clean: remove stamp-h1
  * debian/copyright: fix download URL

 -- Bill Allombert <ballombe@debian.org>  Thu, 05 Dec 2013 23:43:52 +0100

libjpeg6b (6b1-3ubuntu1) raring; urgency=low

  * Merge from Debian. Remaining changes:
    - debian/rules: Remove "-Bsymbolic-functions" from LDFLAGS.

 -- Oussama Bounaim <o.bounaim@gmail.com>  Thu, 15 Nov 2012 09:01:30 +0100

libjpeg6b (6b1-3) unstable; urgency=low

  * Add multiarch support (similar to libjpeg8). closes: #642079
  * Ship file README.6b1 in doc.
  * debian/control:
    - Bump Standards-Version to 3.9.3.
    - move libjpeg62, libjpeg62-dev and libjpeg62-dbg to section oldlibs

 -- Bill Allombert <ballombe@debian.org>  Sun, 03 Jun 2012 13:42:01 +0200

libjpeg6b (6b1-2ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 00:05:52 +0100

libjpeg6b (6b1-2ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: Remove "-Bsymbolic-functions" from LDFLAGS.
    - Enable multiarch build (LP: #733501).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Oct 2011 14:45:21 +0200

libjpeg6b (6b1-2) unstable; urgency=low

  * Transition to libjpeg8:
  * debian/control:
    - libjpeg62-dev no more Provides libjpeg-dev
    - Bump Standards-Version to 3.9.2.
    - Remove article from synopsys
  * debian/rules:
    - implement DEB_BUILD_OPTIONS nocheck.
      closes: #630038, thanks Steve Wolter.
    - Add --disable-silent-rules to configure call.

 -- Bill Allombert <ballombe@debian.org>  Thu, 07 Jul 2011 10:02:22 +0200

libjpeg6b (6b1-1ubuntu2) oneiric; urgency=low

  * debian/rules: Remove "-Bsymbolic-functions" from LDFLAGS, as this flag
    breaks the libjpeg use by HPLIP and pxljr, in both cases for printing
    on the HP Color LaserJet 3500/3550/3600 (LP: #777670).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  8 Aug 2011 19:57:23 +0200

libjpeg6b (6b1-1ubuntu1) natty; urgency=low

  * Enable multiarch build (LP: #733501)
    - debian/control: update depends for multiarch toolchain
    - debian/*.files: update /usr/lib paths
    - debian/rules:
      - add --libdir to configure
      - update library path creation

 -- Kees Cook <kees@ubuntu.com>  Wed, 23 Mar 2011 22:24:07 -0700

libjpeg6b (6b1-1) unstable; urgency=low

  * New upstream release
    - libjpeg62 has now versionned symbols.
    - Updated build system that use current libtool.
    - Full source code for the build system.
  * debian/copyright: add 6b1 upstream download URL.
  * debian/control:
    - libjpeg62-dev: Provides libjpeg-dev since the transition has been
      postponed.
    - Remove now useless dependency on libtool and sharutils
    - Bump Standards-Version to 3.9.0.
  * Get rid of dpatch system. Patches were only relevant to libjpeg-progs
    which is not build from this package anymore.
  * Move to new source format 3.0 (quilt). Patches applied:
    - use-autotools-dev: Use autotools-dev version of config.sub/.guess.
    - extern_C-jpeglib.h: Wrap jpeglib.h with extern "C" {} if __cplusplus 
      is defined.
  * debian/rules:
    - Adjust for new build system and new patch system.
  * debian/shlibs: add (>=6b1) to avoid linker warnings with libjpeg6b.

 -- Bill Allombert <ballombe@debian.org>  Tue, 29 Jun 2010 13:55:42 +0200

libjpeg6b (6b-16) unstable; urgency=low

  * Transition to libjpeg8:
  * debian/control: 
   - Bump standard version to 3.8.4.
   - libjpeg62-dev no more Provides libjpeg-dev
   - move libjpeg62, libjpeg62-dev and libjpeg62-dbg to section oldlibs
   - move libjpeg62-dev to priority extra (conflict with libjpeg8-dev)
   - mention obsolescence in the description.
   - Add ${misc:Depends}

 -- Bill Allombert <ballombe@debian.org>  Sun, 07 Feb 2010 16:54:25 +0100

libjpeg6b (6b-15) unstable; urgency=low

  * Transition to libjpeg7:
   - Remove package libjpeg-progs.
   - remove debian/extra.
  * debian/control: 
   - Bump standard version to 3.8.3.
   - Move libjpeg62-dbg to section debug.

 -- Bill Allombert <ballombe@debian.org>  Mon, 17 Aug 2009 11:52:21 +0200

libjpeg6b (6b-14) unstable; urgency=low

  * The "Lino" release.
  * exifautotran:
    - fix typo in manpage. closes: #376371, thanks Reuben Thomas.
    - preserve file mode. closes: #383379, thanks Vincent Arkesteijn.
  * debian/control, debian/rules, debian/compat:
    + switch to debhelper v5
    + add libjpeg-dbg debugging package.
  * debian/rules: remove - before "make clean" rules.
  * Add patch 204_jpegtran_man to improve readability of manpage.
    closes: #437453. Thanks Jorgen Grahn.
  * jpegexiforient.1: Apply patch from Jorgen Grahn to improve formatting.
    closes: #437446.

 -- Bill Allombert <ballombe@debian.org>  Thu, 16 Aug 2007 22:59:21 +0200

libjpeg6b (6b-13) unstable; urgency=low

  * The "If at first you don't succeed..." release. 
  * Change --enable-maxmem to 1024, following Guido advice.
    This should fix the slowdowns with large files (for large < 1Gb):
    closes: #356556, #365025, Thanks Nicolas.
    If you hit performance problems, please set the JPEGMEM variable to
    about half your available RAM, see jpegtran(1).
  * Update libjpeg-progs README.Debian to reflect the new patch set and
    the JPEGMEM feature.
  * Bump standard version to 3.7.2.

 -- Bill Allombert <ballombe@debian.org>  Fri,  5 May 2006 19:14:25 +0200

libjpeg6b (6b-12) unstable; urgency=low

  * The "vote for me" release
  * Bump standard version to 3.6.2.
  * Run  'make test' instead of home-made test-suite.
  * Switch to debhelper v4.

