=== debian/control ===
Source: libjpeg6b
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.9.3

Package: libjpeg62
Architecture: any
Section: oldlibs
Multi-Arch: same
Description: Independent JPEG Group's JPEG runtime library (version 6.2)
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the shared library for version 6.2.
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}

Package: libjpeg62-dev
Architecture: any
Section: oldlibs
Multi-Arch: same
Priority: extra
Description: Development files for the IJG JPEG library (version 6.2)
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the static library, headers and documentation
 for version 6.2.
Depends: libjpeg62 (=${binary:Version}), libc-dev, ${misc:Depends}

Package: libjpeg62-dbg
Architecture: any
Section: oldlibs
Priority: extra
Description: Development files for the IJG JPEG library (version 6.2)
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the debugging symbols for libjpeg for version 6.2.
Provides: libjpeg-dbg
Depends: libjpeg62 (=${binary:Version}), ${misc:Depends}
