## libjpeg6b 6b2

=== debian/changelog ===
libjpeg6b (1:6b2-4) unstable; urgency=medium

  * Acknowledge NMU. closes: #999306.
  * patch: automake-Wno-obsolete: update to be compatible with
    automake 1.16.
  * debian/control: 
    - remove Build-Dependency on automake1.11. closes: #865183.
    - Remove Build-Depends on autotools-dev, dh-autoreconf
    - Bump Standards-Version to 4.7.0.
    - Build-Depends on debhelper-compat (= 13)
    - Add Rules-Requires-Root: no
    - set libjpeg62-dev to priority optional
  * debian/compat: removed
  * debian/rules:
    - replace automake-1.11 by automake
    - add call to dh_dwz

 -- Bill Allombert <ballombe@debian.org>  Wed, 18 Dec 2024 21:13:25 +0100

libjpeg6b (1:6b2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} closes: #999306.

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 16:10:54 -0300

libjpeg6b (1:6b2-3) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.0.0.
    - Remove Pre-Depends on  multiarch-support. closes: #870541
    - Replace package libjpeg62-dbg by libjpeg62-dbgsym
  * debian/control, debian/compat:
    - Move to debhelper v9
  * debian/postinstn debian/shlibs, debian/shlibs.local:
    - removed

 -- Bill Allombert <ballombe@debian.org>  Sat, 12 Aug 2017 00:06:40 +0200

libjpeg6b (1:6b2-2) unstable; urgency=low

  * Bump epoch to recover from libjpeg-turbo hijacking of libjpeg62.
  * debian/control:
    - Bump standard version to 3.9.6.

 -- Bill Allombert <ballombe@debian.org>  Mon, 03 Nov 2014 19:12:47 +0100

libjpeg6b (6b2-1) unstable; urgency=low

  * New bugfix upstream release
    - patch fix-CVE-2013-6629_6630: removed
  * debian/watch: added
  * debian/rules:
    - Use dh_prep instead of dh_clean -k
    - Do not use -D_REENTRANT
    - Add -Wl,-z,relro to LDFLAGS
  * debian/copyright:
    - Add new upstream URL
  * debian/control:
    - Bump standard version to 3.9.5.
  * debian/control, debian/rules:
    - Apply patch by Mauricio Faria de Oliveira to use dh_autoreconf
      closes: #753362

 -- Bill Allombert <ballombe@debian.org>  Sat, 05 Jul 2014 14:48:45 +0200
