=== debian/control ===
Source: libjpeg6b
Maintainer: Bill Allombert <ballombe@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: libjpeg62
Architecture: any
Section: oldlibs
Multi-Arch: same
Description: Independent JPEG Group's JPEG runtime library (version 6.2)
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the shared library for version 6.2.
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}

Package: libjpeg62-dev
Architecture: any
Section: oldlibs
Multi-Arch: same
Priority: optional
Description: Development files for the IJG JPEG library (version 6.2)
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the static library, headers and documentation
 for version 6.2.
Depends: libjpeg62 (=${binary:Version}), libc-dev, ${misc:Depends}
