=== debian/rules ===
--- 
+++ 
@@ -1,25 +1,30 @@
 #!/usr/bin/make -f
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
+#export DH_VERBOSE=1
 
 package=libjpeg
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-export CFLAGS=-D_REENTRANT -g -Wall -Wno-main
+export LDFLAGS=-Wl,-z,relro
+export CFLAGS=-g -Wall -Wno-main
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
 CFLAGS += -O2
 endif
 
-#export DH_VERBOSE=1
+export AUTOMAKE = automake
+export ACLOCAL = aclocal
+export AUTOHEADER = true
 
 build: build-stamp 
 build-stamp:
 	dh_testdir
-	LDFLAGS= ./configure --prefix=/usr --mandir=/usr/share/man \
+	dh_autoreconf
+	./configure --prefix=/usr --mandir=/usr/share/man \
          --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	 --enable-static --enable-shared --enable-maxmem=1024 \
 	 --disable-silent-rules \
@@ -36,6 +41,7 @@
 	-rm -f build-stamp stamp-h1
 	if [ -f Makefile ]; then $(MAKE) clean; fi
 	-rm -f Makefile jconfig.h config.log config.status  libtool
+	dh_autoreconf_clean
 	dh_clean
 
 binary-indep: 
@@ -43,7 +49,7 @@
 binary-arch: build
 	dh_testdir 
 	dh_testroot 
-	dh_clean -k
+	dh_prep
 	dh_installdirs 
 	mkdir --parents debian/tmp/usr/bin \
 	                debian/tmp/usr/lib \
@@ -66,18 +72,23 @@
 	# separate out lib package
 	dh_movefiles
 	# Finish it off with debhelper
-	dh_installdocs README README.6b1
+	dh_installdocs README README.6b2
 	dh_installexamples 
 	dh_installchangelogs change.log
-	dh_strip --dbg-package=libjpeg62-dbg
+	dh_dwz
+	dh_strip --dbgsym-migration=libjpeg62-dbg
 	dh_compress 
 	dh_fixperms 
+	dh_makeshlibs -V'libjpeg62 (>=6b1)'
+	dh_shlibdeps -l`pwd`/debian/libjpeg6b/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_installdeb 
-	dh_shlibdeps -l`pwd`/debian/libjpeg6b/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_gencontrol 
 	dh_md5sums 
 	dh_builddeb 
 
 binary:	binary-indep binary-arch
 
-.PHONY: clean binary-indep binary-arch binary build
+build-arch: build
+build-indep: build
+
+.PHONY: clean binary-indep binary-arch binary build build-arch build-indep
